Bug 189348 - Option to enable JPA 2.0 for dev WebLogic
Option to enable JPA 2.0 for dev WebLogic
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Sergey Petrov
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 10:18 UTC by Petr Jiricka
Modified: 2011-02-23 17:55 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2010-08-10 10:18:17 UTC
By default, WebLogic does not have JPA 2.0 enabled. However, it should be possible to do so with version 11g R1 PS3 (10.3.4), through some manual steps. See also bug 189205 for related information.

It would be useful to have an option (e.g. a checkbox in the server properties dialog) that would do this, so JPA 2.0 implementation is available.
Comment 1 Petr Hejl 2010-08-12 11:29:14 UTC
Note: Perhaps this will need change in isToolSupported as well.
Comment 2 Sergey Petrov 2010-12-02 22:11:59 UTC
yes, from persistence side only isToolSupported change to return jpa20 is supported is needed, but it should be server configuration dependent as I see it.
Comment 3 Petr Hejl 2011-01-03 19:25:57 UTC
The patch f8857b291d42 in web-main should handle JPA2, once the WL patch is installed and TopLink configured as default provider.

Sergey, can you check/fix the ui part.
Comment 4 Quality Engineering 2011-01-06 09:11:27 UTC
Integrated into 'main-golden', will be available in build *201101060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f8857b291d42
User: Petr Hejl <phejl@netbeans.org>
Log: #189348 Option to enable JPA 2.0 for dev WebLogic
Comment 5 Petr Jiricka 2011-02-23 17:55:00 UTC
Marking as fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo